Skip to main content
POST
/
file-vault
/
upload
Upload files
curl --request POST \
  --url https://api.titletrackr.com/api/v1/file-vault/upload \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'files=<string>' \
  --form folder_id=123 \
  --form files.items='@example-file'
{
  "success": true,
  "message": "<string>",
  "files": [
    {
      "id": 123,
      "filename": "<string>",
      "file_type": "<string>",
      "mime_type": "<string>",
      "page_count": 123,
      "file_size": 123,
      "file_size_human": "<string>",
      "folder_id": 123,
      "is_processing": true,
      "public_url": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "errors": [
    {}
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.titletrackr.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data
files
file[]
required
folder_id
integer

Response

Upload result

success
boolean
message
string
files
object[]
errors
object[]